Subject: bug#7517: 24.0.50; repeated crash under Mac OS X

From: Jan Djärv <[email-masked]>
Date: Wed, 29 Dec 2010 12:59:29 +0100

We need to know the locale used.  \362 \351 \370 doesn't say anything as we 
don't know the character set.  FWIW, I have no problem with frame titles that 
contain non-ascii characters.  However, the NS port doesn't update the frame 
parameter title properly, but it doesn't crash.

Is it possible that vm can try to put non-UTF8 characters in to the title?

	Jan D.

Chong Yidong skrev 2010-12-29 05.29:
> In Bug#7517, it appears that the NS port is not setting the frame title
> correctly under some circumstances.  Could anyone on Mac OS take a look?
> Probably there's a mistake in string conversion in the argument to
> setTitle somewhere in src/nsterm.m.
>
>
> emacs user<[email-masked]>  writes:
>
>> one more piece of information which may be relevant: It seems that
>> emacs is trying to set the frame title to reflect the text, subject
>> and sender of the vm message which I am attempting to edit.  the text
>> of the header contains characters such as \362 \351 \370 etc.  Does
>> this help?